SECILCHECK(8)

NAME
secilcheck - invoke the CIL neverallow checker

SYNOPSIS

secilcheck [OPTION...] binary file...

DESCRIPTION

secilcheck invokes the CIL neverallow checker with specified arguments.

OPTIONS

-Q, --qualified-names
    Allow names containing dots (qualified names). Blocks, blockinherits, blockabstracts, and in-statements will not be allowed.

-m, --multiple-decls
    Allow some statements to be re-declared.

-v, --verbose
    Increment verbosity level.

-h, --help
    Display usage information.

SEE ALSO

secilc(8), secil2tree(8), secil2conf(8)

HTML documentation describing the CIL language statements is available starting with docs/html/index.html.

PDF documentation describing the CIL language statements is available at: docs/pdf/CIL_Reference_Guide.pdf.

AUTHOR

James Carter